Hdf5Util::H5Base Class Reference
Classes and functions used to implement this library » Hdf5 Utility Classes and Functions

Base class for all scoped Hdf5 util classes. More...

`#include <Hdf5Util.h>`

Inheritance diagram for Hdf5Util::H5Base:

## Public Member Functions

| H5Base ()
hid_t | id () const
| Query the hid_t value.
| operator hid_t ()
| Implicit cast to hid_t.

## Protected Attributes

hid_t | m_id

## Detailed Description

Base class for all scoped Hdf5 util classes.

Definition at line 92 of file Hdf5Util.h.

## Constructor & Destructor Documentation

## H5Base()

Hdf5Util::H5Base::H5Base | ( |  | ) |

inline

Definition at line 96 of file Hdf5Util.h.

: m_id(-1)
{ /* Empty */ }
Hdf5Util::H5Base::m_id
hid_t m_id
Definition Hdf5Util.h:106

References m_id.

Referenced by Hdf5Util::H5ScopedDget_space::H5ScopedDget_space(), Hdf5Util::H5ScopedDget_type::H5ScopedDget_type(), Hdf5Util::H5ScopedDopen::H5ScopedDopen(), Hdf5Util::H5ScopedGopen::H5ScopedGopen(), and Hdf5Util::H5ScopedScreate::H5ScopedScreate().

## Member Function Documentation

## id()

hid_t Hdf5Util::H5Base::id | ( |  | ) | const

inline

Query the hid_t value.

Definition at line 100 of file Hdf5Util.h.

{ return m_id; }

References m_id.

Referenced by Field3DOutputFileHDF5::createNewPartition(), Field3DInputFileHDF5::open(), InputFileHDF5::parseLayers(), SparseDataReader< Data_T >::readBlock(), SparseDataReader< Data_T >::readBlockList(), Field3DInputFileHDF5::readGroupMembership(), Field3DInputFileHDF5::readLayer(), Field3DInputFileHDF5::readMetadata(), Field3DInputFileHDF5::readMetadata(), Field3DInputFileHDF5::readPartitionAndLayerInfo(), Field3DInputFileHDF5::readProxyLayer(), Field3DInputFileHDF5::readProxyLayer(), Hdf5Util::readSimpleData(), Field3DOutputFileHDF5::writeGlobalMetadata(), Field3DOutputFileHDF5::writeLayer(), Field3DOutputFileHDF5::writeMapping(), and Hdf5Util::writeSimpleData().

## operator hid_t()

Hdf5Util::H5Base::operator hid_t | ( |  | ) |

inline

Implicit cast to hid_t.

Definition at line 103 of file Hdf5Util.h.

{ return m_id; }

References m_id.

## Member Data Documentation

## m_id

hid_t Hdf5Util::H5Base::m_id

protected

Definition at line 106 of file Hdf5Util.h.

Referenced by Hdf5Util::H5ScopedScreate::create(), H5Base(), Hdf5Util::H5ScopedAget_space::H5ScopedAget_space(), Hdf5Util::H5ScopedAget_type::H5ScopedAget_type(), Hdf5Util::H5ScopedAopen::H5ScopedAopen(), Hdf5Util::H5ScopedAopen::H5ScopedAopen(), Hdf5Util::H5ScopedAopenIdx::H5ScopedAopenIdx(), Hdf5Util::H5ScopedDcreate::H5ScopedDcreate(), Hdf5Util::H5ScopedGcreate::H5ScopedGcreate(), Hdf5Util::H5ScopedGcreate::H5ScopedGcreate(), Hdf5Util::H5ScopedTget_native_type::H5ScopedTget_native_type(), id(), Hdf5Util::H5ScopedDget_space::open(), Hdf5Util::H5ScopedDget_type::open(), Hdf5Util::H5ScopedDopen::open(), Hdf5Util::H5ScopedGopen::open(), Hdf5Util::H5ScopedGopen::open(), operator hid_t(), Hdf5Util::H5ScopedAget_space::~H5ScopedAget_space(), Hdf5Util::H5ScopedAget_type::~H5ScopedAget_type(), Hdf5Util::H5ScopedAopen::~H5ScopedAopen(), Hdf5Util::H5ScopedAopenIdx::~H5ScopedAopenIdx(), Hdf5Util::H5ScopedDcreate::~H5ScopedDcreate(), Hdf5Util::H5ScopedDget_space::~H5ScopedDget_space(), Hdf5Util::H5ScopedDget_type::~H5ScopedDget_type(), Hdf5Util::H5ScopedDopen::~H5ScopedDopen(), Hdf5Util::H5ScopedGcreate::~H5ScopedGcreate(), Hdf5Util::H5ScopedGopen::~H5ScopedGopen(), Hdf5Util::H5ScopedScreate::~H5ScopedScreate(), and Hdf5Util::H5ScopedTget_native_type::~H5ScopedTget_native_type().

The documentation for this class was generated from the following file:

- export/Hdf5Util.h